<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>warpmatselect</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="imtransform.html">&lt;&lt; imtransform</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_c6b4f04b7f17c60d11c80f2259ac5c53.html">Image Registration and Image Fusion</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="section_addb367ddd42050cea4cae9d40b42c2c.html">Image Stitching &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_c6b4f04b7f17c60d11c80f2259ac5c53.html">Image Registration and Image Fusion</a> &gt; warpmatselect</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">warpmatselect</h1>
    <p class="refpurpose">Selecting points for image transformation</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">pts</span><span class="default"> = </span><span class="functionid">warpmatselect</span><span class="default">(</span><span class="default">S</span><span class="default">,</span><span class="default">n</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">S :</span>
      <dd><p class="para">Input image</p></dd></dt>
   <dt><span class="term">n :</span>
      <dd><p class="para">Number of points to be selected</p></dd></dt>
   <dt><span class="term">pts :</span>
      <dd><p class="para">Returned points in image coordinates</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">This function allows user to select points of references on image for registration purpose.
The returned parameters are in image coordinates form.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">S</span> <span class="scilaboperator">=</span> <span class="scilabid">imread</span><span class="scilabopenclose">(</span><a class="scilabcommand" href="scilab://fullpath">fullpath</a><span class="scilabopenclose">(</span><span class="scilabid">getIPCVpath</span><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span> <span class="scilaboperator">+</span> <span class="scilabstring">&#0034;</span><span class="scilabstring">/images/balloons.png</span><span class="scilabstring">&#0034;</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">pts</span> <span class="scilaboperator">=</span> <span class="scilabid">warpmatselect</span><span class="scilabopenclose">(</span><span class="scilabid">S</span><span class="scilabdefault">,</span><span class="scilabnumber">3</span><span class="scilabopenclose">)</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="imgettransform.html" class="link">imgettransform</a></li>
   <li class="member"><a href="imtransform.html" class="link">imtransform</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="imtransform.html">&lt;&lt; imtransform</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_c6b4f04b7f17c60d11c80f2259ac5c53.html">Image Registration and Image Fusion</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="section_addb367ddd42050cea4cae9d40b42c2c.html">Image Stitching &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
